summaryrefslogtreecommitdiffstats
path: root/source/ap/cdrtools/cdrtools.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/cdrtools/cdrtools.SlackBuild')
-rwxr-xr-xsource/ap/cdrtools/cdrtools.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/source/ap/cdrtools/cdrtools.SlackBuild b/source/ap/cdrtools/cdrtools.SlackBuild
index b72c8a13e..4d3a02ae8 100755
--- a/source/ap/cdrtools/cdrtools.SlackBuild
+++ b/source/ap/cdrtools/cdrtools.SlackBuild
@@ -46,7 +46,7 @@ mkdir -p $TMP $PKG/usr
cd $TMP
rm -rf cdrtools-$(echo $VERSION | cut -f 1 -d a)
-tar xvf $CWD/cdrtools-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/cdrtools-$VERSION.tar.?z* || exit 1
cd cdrtools-$(echo $VERSION | cut -f 1 -d a) || exit 1
chown -R root:root .
find . \
@@ -55,10 +55,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-make -e $NUMJOBS INS_BASE=/usr || exit 1
+make -e $NUMJOBS INS_BASE=/usr DEFMANBASE=. || exit 1
# Without this second run, cdda2wav is skipped...
-make -e INS_BASE=/usr || exit 1
-make -e install INS_BASE=/usr DEST_DIR=$PKG || exit 1
+make -e INS_BASE=/usr DEFMANBASE=. || exit 1
+make -e install INS_BASE=/usr DEFMANBASE=. DESTDIR=$PKG || exit 1
# I don't know why this couldn't be "/etc/cdrtools" or something, but since
# getty uses it already I'm not going to argue the point.